---
title: Reference Documents
---

## [Supplemental Documentation](./supplemental_documentation.md)

In the supplemental documentation section you will find documents that don't necessarily fit in any specific step in the process of working with Great Expectations.  This includes things that apply to every step of the process, such as [our guide on How to use the CLI](../guides/miscellaneous/how_to_use_the_great_expectations_cli.md) or our [overview of ways to customize your deployment](../reference/customize_your_deployment.md) as well as things that matter outside the process, or that don't fall into a specific how-to guide, such as [this discussion on Data Discovery](./data_discovery.md).

## [API Reference](./api_reference.md)

This section is the home of our automatically generated API documentation.  These documents are built off of the docstrings of Python classes and methods which are a part of Great Expectation's public API.  This section is still in progress, as we are incrementally updating docstrings to support the generation of these docs.  

## [Glossary of Terms](../glossary.md)

The glossary contains both a quick overview of the definitions for all the various Technical Terms you will find in our documentation which link to a page for each that discusses it in depth.  This is an excellent resource both for clarifying your understanding of other documents and digging in deep to find out how Great Expectations works under the hood!


